
from app.scripts import BaseFolderScript
import os
from app.selinuxutil import Policy


class FolderScript(BaseFolderScript):

    def createFolders(self):
        pass

    def deleteFolders(self):
        pass

    def areSELinuxPermissionsApplied(self):
        folderDict = {
                         'integration':'httpd_sys_content_t',
                         'svn-rest':'httpd_sys_content_t',
                         'bin/Linux/cvssh':'usr_t'
                     }
        if not Policy.isSELinuxPermissionsApplied(self.cfg['SOURCEFORGE_HOME']):
            return False

        for folder, context in folderDict.iteritems():
            folderPath = os.path.join(self.cfg['SOURCEFORGE_HOME'], folder)
            if not Policy.isSELinuxPermissionsApplied(folderPath, context):
                return False

    def applySELinuxPermissions(self):
        folderDict = {
                         'integration':'httpd_sys_content_t',
                         'svn-rest':'httpd_sys_content_t',
                         'bin/Linux/cvssh':'usr_t'
                     }
        Policy.applySELinuxPermissions(self.cfg['SOURCEFORGE_HOME'])

        for folder, context in folderDict.iteritems():
            folderPath = os.path.join(self.cfg['SOURCEFORGE_HOME'], folder)
            Policy.applySELinuxPermissions(folderPath, context)

