__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.selinuxutil import Policy
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create Integration Tomcat folders"

    def createRuntime(self):
        tomcatDeployDir = self.cfg['TOMCAT_DEPLOY_DIR']
        tomcatConfDir = os.path.join(self.cfg['TOMCAT_BASE_DIR'],
                    'conf')
        tomcatTempDir = os.path.join(self.cfg['TOMCAT_BASE_DIR'],
                    'temp')
        app.util.runSystem("mkdir -p %s " % tomcatDeployDir, self.log)
        app.util.runSystem("mkdir -p %s " % tomcatConfDir, self.log)
        app.util.runSystem("mkdir -p %s " % tomcatTempDir, self.log)

        integrationStartScript = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, "integration/bin/catalina.sh")
        if not Policy.isSELinuxPermissionsApplied(integrationStartScript):
            Policy.applySELinuxPermissions(integrationStartScript, recursive=False)

        if not Policy.isSELinuxPermissionsApplied(self.cfg['TOMCAT_BASE_DIR']):
            Policy.applySELinuxPermissions(self.cfg['TOMCAT_BASE_DIR'])

        Policy.enableNFSHomeDir()
