__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseFolderScript
import app.util
import os

class FolderScript(BaseFolderScript):

    scriptDescription = "Apply file mode to subversion hook scripts"

    def createFolders(self):
        pass

    def deleteFolders(self):
        pass

    def applyFolderPermissions(self):

        svnParentPath = os.path.join(app.defaults.DEFAULT_DATA_DIR, 'scm', 'svnroot')

        if not os.path.exists(svnParentPath):
            return

        svnRepos = os.listdir(svnParentPath)

        scripts = ['post-commit', 'post-revprop-change', 'pre-commit', 'pre-revprop-change']

        for repo in svnRepos:
            for script in scripts:
                hookScript = os.path.join(svnParentPath, repo, "hooks", script)
                if os.path.exists(hookScript):
                    app.util.runSystem("chmod 755 %s" %hookScript, self.log)
